import { getRequest } from '../../../helpers/request.js';
import { getPagination } from '../../../helpers/pagination.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  return {
    get: get(function (params) {
      var pagination;

      if (params.page !== undefined && params.pageSize !== undefined) {
        pagination = getPagination(params.page, params.pageSize);
      } else {
        pagination = getPagination();
      }

      return "v0/merchants/credit-lock-contracts?document=".concat(params.document) + "".concat(params.financialInstitutionIspb ? "&financialInstitutionIspb=".concat(params.financialInstitutionIspb) : '') + "".concat(params.validFrom ? "&validFrom=".concat(params.validFrom) : '') + "".concat(params.validTo ? "&validTo=".concat(params.validTo) : '') + "".concat(params.status ? "&status=".concat(params.status) : '') + "&".concat(pagination);
    })
  };
};