import { matchesInterface } from 'sling-helpers';
import { receivablesFilesInterface } from './receivablesFilesInterface.js';

describe('Receivables Files Interface', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      financialInstitutionNumberCode: '123',
      forecastReferenceDate: '2019-03-01',
    };

    expect(matchesInterface(receivablesFilesInterface)(payload))
      .to.be.true;
  });
});
